# DebugData (ARX GUI Documentation)

org.deidentifier.arx.gui

## Class DebugData

- java.lang.Object
- - org.deidentifier.arx.gui.DebugData

-     public class DebugData
      extends java.lang.Object

  Class for creating debug data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvent(ModelEvent event)` Adds an event to the buffer.
    `void` | `clearEventLog()` Clears the event log.
    `protected java.lang.String` | `getData(Model model)` Returns some debug data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugData

          public DebugData()

  - ### Method Detail

    - #### addEvent

          public void addEvent(ModelEvent event)

      Adds an event to the buffer.
      Parameters:
        `event` -

    - #### clearEventLog

          public void clearEventLog()

      Clears the event log.

    - #### getData

          protected java.lang.String getData(Model model)

      Returns some debug data.
      Parameters:
        `model` -
      Returns: